OS Reload Profiles
List Reload Profiles
GET /pxe/profile
List of OS Reload Profiles
Response 200: List of OS Reload Profiles
| Field | Type | Description |
|---|---|---|
access_client |
boolean | |
billing_id |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
iso |
object | |
iso.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string |
Create Reload Profile
POST /pxe/profile
Add new Reload Profiles
Request body
| Field | Type | Required | Description |
|---|---|---|---|
access_client |
boolean | ||
billing_id |
string | ||
boot_script |
object | yes | |
boot_script.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
boot_script.name |
string | ||
drivers |
array | ||
drivers[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
drivers[].name |
string | ||
email |
object | ||
email.template |
object | ||
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
iso |
object | ||
iso.edition |
string | ||
iso.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
iso.name |
string | ||
name |
string | yes | |
preseed |
object | ||
preseed.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
preseed.name |
string | ||
shell |
object | ||
shell.after |
array |
Response 200: A Reload Profiles
| Field | Type | Description |
|---|---|---|
access_client |
boolean | |
billing_id |
string | |
boot_script |
object | |
boot_script.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
boot_script.name |
string | |
drivers |
array | |
drivers[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
drivers[].name |
string | |
email |
object | |
email.template |
object | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
iso |
object | |
iso.edition |
string | |
iso.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
iso.name |
string | |
name |
string | |
preseed |
object | |
preseed.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
preseed.name |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
access_client |
boolean | ||
billing_id |
string | ||
boot_script |
object | yes | |
boot_script.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
boot_script.name |
string | ||
drivers |
array | ||
drivers[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
drivers[].name |
string | ||
email |
object | ||
email.template |
object | ||
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
iso |
object | ||
iso.edition |
string | ||
iso.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
iso.name |
string | ||
name |
string | yes | |
preseed |
object | ||
preseed.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
preseed.name |
string | ||
shell |
object | ||
shell.after |
array |
Response 422: Unprocessable Entity
Delete Reload Profile
DELETE /pxe/profile/{profile_id}
Delete an OS Reload Profile
Response 200: OS Reload Profile deleted successfully
Response 404: Item not Found
View Reload Profile
GET /pxe/profile/{profile_id}
An OS Preseed
Response 200: An OS Preseed
| Field | Type | Description |
|---|---|---|
access_client |
boolean | |
billing_id |
string | |
boot_script |
object | |
boot_script.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
boot_script.name |
string | |
drivers |
array | |
drivers[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
drivers[].name |
string | |
email |
object | |
email.template |
object | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
iso |
object | |
iso.edition |
string | |
iso.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
iso.name |
string | |
name |
string | |
preseed |
object | |
preseed.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
preseed.name |
string |
Edit Reload Profile
PATCH /pxe/profile/{profile_id}
Edit OS Reload Profile
Request body
| Field | Type | Required | Description |
|---|---|---|---|
access_client |
boolean | ||
billing_id |
string | ||
boot_script |
object | ||
boot_script.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
boot_script.name |
string | ||
drivers |
array | ||
drivers[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
drivers[].name |
string | ||
email |
object | ||
email.template |
object | ||
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
iso |
object | ||
iso.edition |
string | ||
iso.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
iso.name |
string | ||
name |
string | ||
preseed |
object | ||
preseed.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
preseed.name |
string | ||
shell |
object | ||
shell.after |
array |
Response 200: An OS Reload Profile
| Field | Type | Description |
|---|---|---|
access_client |
boolean | |
billing_id |
string | |
boot_script |
object | |
boot_script.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
boot_script.name |
string | |
drivers |
array | |
drivers[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
drivers[].name |
string | |
email |
object | |
email.template |
object | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
iso |
object | |
iso.edition |
string | |
iso.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
iso.name |
string | |
name |
string | |
preseed |
object | |
preseed.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
preseed.name |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
access_client |
boolean | ||
billing_id |
string | ||
boot_script |
object | ||
boot_script.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
boot_script.name |
string | ||
drivers |
array | ||
drivers[].id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
drivers[].name |
string | ||
email |
object | ||
email.template |
object | ||
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
iso |
object | ||
iso.edition |
string | ||
iso.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
iso.name |
string | ||
name |
string | ||
preseed |
object | ||
preseed.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
preseed.name |
string | ||
shell |
object | ||
shell.after |
array |
Response 422: Unprocessable Entity